Mandriva Linux Security Advisory : squashfs-tools (MDVSA-2013:128)

Medium Nessus Plugin ID 66140


The remote Mandriva Linux host is missing a security update.


Updated squashfs-tools packages fix security vulnerabilities :

remote arbitrary code execution via crafted list file (CVE-2012-4024).

integer overflow in queue_init() may lead to arbitrary code execution (CVE-2012-4025).


Update the affected squashfs-tools package.

Plugin Details

Severity: Medium

ID: 66140

File Name: mandriva_MDVSA-2013-128.nasl

Version: $Revision: 1.5 $

Type: local

Published: 2013/04/20

Modified: 2016/05/17

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Temporal Score: 5.9

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:squashfs-tools, cpe:/o:mandriva:business_server:1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2013/04/10

Reference Information

CVE: CVE-2012-4024, CVE-2012-4025

BID: 54610

MDVSA: 2013:128

MGASA: 2013-0001